Ipswitch MOVEit DMZ < 8.2 Multiple Vulnerabilities

This script is Copyright (C) 2016 Tenable Network Security, Inc.


Synopsis :

An application installed on the remote host is affected by multiple
vulnerabilities.

Description :

The version of Ipswitch MOVEit DMZ installed on the remote host is
prior to 8.2. It is, therefore, affected by multiple vulnerabilities :

- A flaw exists in the Send as Attachment feature due to
improper sanitization of user-supplied input to the
'serverFileIds' parameter of mobile/sendMsg and the
mobile/sendMsg' parameter of human.aspx. An
authenticated, remote attacker can exploit this, via a
a request with a valid FileID, to bypass authorization
and read uploaded files. (CVE-2015-7675)

- A flaw exists due to the MOVEitISAPI service returning
different error messages depending on whether a FileID
exists or not. An authenticated, remote attacker can
exploit this, via the 'X-siLock-FileID' parameter in a
download action, to enumerate valid FileIDs.
(CVE-2015-7677)

- A flaw exists in the machine.aspx script due to
different error codes being returned depending on if a
user account exists or not. An unauthenticated, remote
attacker can exploit this, via a series of SOAP
requests, to enumerate usernames. (CVE-2015-7680)

See also :

http://www.nessus.org/u?16036f7d
http://seclists.org/fulldisclosure/2016/Jan/95

Solution :

Upgrade to Ipswitch MOVEit DMZ version 8.2 or later.

Risk factor :

Medium / CVSS Base Score : 5.0
(CVSS2#AV:N/AC:L/Au:N/C:P/I:N/A:N)
CVSS Temporal Score : 4.1
(CVSS2#E:F/RL:OF/RC:ND)
Public Exploit Available : true

Family: Windows

Nessus Plugin ID: 90189 ()

Bugtraq ID: 83191
83196
83198

CVE ID: CVE-2015-7675
CVE-2015-7677
CVE-2015-7680

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now